package com.ruoyi.market.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;


@Data
@TableName("market_advertising_award")
public class MarketAdvertisingAward {
    @TableId(value = "id")
    private String id;

    @ApiModelProperty("视频id")
    @TableField(value = "video_id")
    private String videoId;

    @ApiModelProperty("奖励id")
    @TableField(value = "award_id")
    private String awardId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    @TableField(value = "create_time")
    private LocalDateTime createTime;
}
