package com.ruoyi.market.domain.vo;

import com.ruoyi.market.domain.MarketDrawActivity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class DrawActivityInfoVo {

    @ApiModelProperty("活动名称")
    String name;

    @ApiModelProperty("活动描述")
    String desc;

    @ApiModelProperty("活动规则描述")
    String ruleDesc;

    @ApiModelProperty("用户剩余抽奖次数")
    Integer userDrawNum;

    @ApiModelProperty("奖品列表")
    List<AwardInfoVo> awards;

    public DrawActivityInfoVo(){

    }

    public DrawActivityInfoVo(MarketDrawActivity drawActivity,List<AwardInfoVo> awards,Integer userDrawNum){
        this.name = drawActivity.getName();
        this.desc = drawActivity.getDesc();
        this.userDrawNum = userDrawNum;
        this.awards = awards;
        this.ruleDesc = drawActivity.getRuleDesc();
    }
}
