package com.ruoyi.market.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.market.domain.MarketAdvertisingLibrary;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.market.domain.vo.AdvertisingLibraryQueryVo;
import com.ruoyi.market.domain.vo.AdvertisingVo;
import com.ruoyi.market.domain.vo.AdvertisingWatchCount;


public interface MarketAdvertisingLibraryService extends IService<MarketAdvertisingLibrary>{

     boolean insertAdvertisingLibrary(MarketAdvertisingLibrary advertisingLibrary);

     boolean updateAdvertisingLibrary(MarketAdvertisingLibrary advertisingLibrary);

     boolean deleteAdvertisingLibrary(MarketAdvertisingLibrary advertisingLibrary);

     Page<MarketAdvertisingLibrary> advertisingLibraryList(Page page, AdvertisingLibraryQueryVo advertisingLibraryQueryVo);

     MarketAdvertisingLibrary getCompanyAdvertising(AdvertisingVo advertisingVo);

     AjaxResult getAdvertisingWatchCount(AdvertisingWatchCount advertisingWatchCount);

     Page<AdvertisingWatchCount> getAllUserAdvertisingWatchCount(Page page);
}
