package com.ruoyi.market.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.market.domain.MarketDrawActivityProbability;
import com.ruoyi.market.domain.vo.AwardInfoVo;

import java.util.List;

public interface MarketDrawActivityProbabilityService extends IService<MarketDrawActivityProbability> {

    public List<MarketDrawActivityProbability> getProbabilitysByDrawActivityId(String drawActivityId);

    /**
     * 获取抽奖活动的奖品信息
     * @param drawActivityId
     * @return
     */
    public List<AwardInfoVo> getDrawAwardListById(String drawActivityId);
}
