package com.ruoyi.market.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.market.domain.MarketDrawTemplate;
import com.ruoyi.market.domain.vo.DrawTemplateQueryVo;

public interface MarketDrawTemplateService extends IService<MarketDrawTemplate> {

    /**
     * 获取抽奖模板分页
     * @param page
     * @param drawTemplateQueryVo
     * @return
     */
    Page<MarketDrawTemplate> getDrawTemplatePage(Page page, DrawTemplateQueryVo drawTemplateQueryVo);

    /**
     * 删除抽奖模板
     * @param drawTemplateId
     * @return
     */
    boolean delDrawTemplate(String drawTemplateId);
}
