package com.ruoyi.market.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.market.domain.MarketDrawActivityProbability;
import com.ruoyi.market.domain.vo.AwardInfoVo;
import com.ruoyi.market.mapper.MarketDrawActivityProbabilityMapper;
import com.ruoyi.market.service.MarketDrawActivityProbabilityService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MarketDrawActivityProbabilityServiceImpl extends ServiceImpl<MarketDrawActivityProbabilityMapper, MarketDrawActivityProbability>
        implements MarketDrawActivityProbabilityService {

    @Override
    public List<MarketDrawActivityProbability> getProbabilitysByDrawActivityId(String drawActivityId) {
        LambdaQueryWrapper<MarketDrawActivityProbability>  queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(MarketDrawActivityProbability::getDrawId,drawActivityId);
        return this.list(queryWrapper);
    }

    @Override
    public List<AwardInfoVo> getDrawAwardListById(String drawActivityId) {
        return this.baseMapper.getDrawAwardListById(drawActivityId);
    }
}
