package com.ruoyi.market.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.market.domain.MarketUserDraw;
import com.ruoyi.market.mapper.MarketUserDrawMapper;
import com.ruoyi.market.service.MarketUserDrawService;
import org.springframework.stereotype.Service;


@Service
public class MarketUserDrawServiceImpl extends ServiceImpl<MarketUserDrawMapper, MarketUserDraw>
        implements MarketUserDrawService {

    /**
     * 获取用户抽奖次数
     * @param userDrawId
     * @param activityId
     * @return
     */
    @Override
    public MarketUserDraw getUserDrawNumber(String userDrawId, String activityId) {
        LambdaQueryWrapper<MarketUserDraw> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(MarketUserDraw::getUserId,userDrawId);
        queryWrapper.eq(MarketUserDraw::getActivityId,activityId);
        return this.getOne(queryWrapper);
    }

}
