package com.ruoyi.market.constants;

import com.ruoyi.market.constants.enums.DictEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@DictEnum(key = "activityStatusEnum", desc = "活动状态")
public enum ActivityStatusEnum {
    NOT_START("1", "未开始", 1, 0),
    STARTED("2", "进行中", 2, 0),
    END("3", "已结束", 3, 0);

    private final String code;
    //说明
    private final String desc;
    // 排序
    private final Integer sort;
    // 状态  0 启用  1 不启用
    private final Integer status;
}
