package com.ruoyi.market.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName("market_advertising_config")
public class MarketAdvertisingConfig {
    @TableId
    private String id;

    @ApiModelProperty("每日广告上限")
    @TableField(value = "daily_ad_limit")
    private int dailyAdLimit;

    @ApiModelProperty("广告间隔时间")
    @TableField(value = "ad_interval")
    private Long adInterval;
}
