package com.ruoyi.market.domain;




import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@TableName(value = "market_award_type",autoResultMap = true)
public class MarketAwardType {
    private String id;


    @ApiModelProperty("分类名称")
    private String typeName;


    @ApiModelProperty("分类属性")
    @TableField(value = "type_attr" ,typeHandler = FastjsonTypeHandler.class)
    private JSONArray typeAttr;

}
