package com.ruoyi.market.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.lang.ref.PhantomReference;
import java.math.BigDecimal;

@Data
@TableName("market_draw_activity_probability")
public class MarketDrawActivityProbability {
    private String id;

    @ApiModelProperty("抽奖id")
    private String drawId;

    @ApiModelProperty("奖品id")
    private String awardId;

    @ApiModelProperty("位置")
    private Integer pos;

    @ApiModelProperty("概率")
    private BigDecimal probability;
}
