package com.ruoyi.market.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.page.PageDomain;
import com.ruoyi.market.domain.MarketAwardLibrary;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class MarketAwardLogVo extends PageDomain {
    @TableId
    private String id;

    @ApiModelProperty("活动id")
    private String activityId;

    @ApiModelProperty("奖品id")
    private String awardId;

    @ApiModelProperty("用户id")
    private String userId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("发放时间")
    private LocalDateTime createTime;

    @ApiModelProperty("发放状态 0 已发放 1 未发放")
    private String distributionStatus;

    @ApiModelProperty("中奖方式 0 抽奖 1 看广告")
    private String winningMethod;

    private String awardName;

    @ApiModelProperty("奖品信息")

    private MarketAwardLibrary awardLibrary;
}
