package com.ruoyi.market.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.idgen.IdGenerate;
import com.ruoyi.market.domain.MarketSystem;
import com.ruoyi.market.mapper.MarketSystemMapper;
import com.ruoyi.market.service.MarketSystemService;
import org.springframework.stereotype.Service;


@Service
public class MarketSystemServiceImpl extends ServiceImpl<MarketSystemMapper, MarketSystem> implements MarketSystemService {

    @Override
    public boolean insertMarketSystem(MarketSystem marketSystem) {
        marketSystem.setId(IdGenerate.nextId());
        marketSystem.setSystemCode(marketSystem.getSystemCode());
        return this.save(marketSystem);
    }


    @Override
    public boolean updateMarketSystem(MarketSystem marketSystem) {
        return this.updateById(marketSystem);
    }

}
